Bug 108195 - default kernel cannot boot from reiserfs boot partition
default kernel cannot boot from reiserfs boot partition
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-28 10:23 EST by Dave Hawkes
Modified: 2015-01-04 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-20 14:22:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Hawkes 2003-10-28 10:23:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
Previous RH stock kernel builds could boot directly from reiserfs. The latest
rawhide stock kernels cannot.

Error message during boot:

mount: error 19 mounting reiserfs




Version-Release number of selected component (if applicable):
kernel-2.4.22-20.1.2024.2.36.nptl

How reproducible:
Always

Steps to Reproduce:
1. Upgrade RH 9 installed on reiserfs boot partition to rawhide
2. Reboot
3. Error occurs
    

Actual Results:  Unable to boot latest rawhide kernel

Expected Results:  rawhide kernel should be built with reiserfs support and be
able to boot

Additional info:
Comment 1 Dave Jones 2003-10-28 10:36:02 EST
This is not a test3 bug judging from the kernel version.

This kernel is *ancient* now, and this problem is probably fixed when we moved
away from using the -unsupported RPM.  (Which happened several revisions after
the one you're using).

What I don't understand is that the version you're reporting was not an install
kernel from any of the FC tests.
Comment 2 Dave Hawkes 2003-10-29 12:59:41 EST
Yes, this problem is no longer in the latest test kernel. The kernel tested was
the latest available from rawhide before the ftp tree changed from i386/rawhide
to i386/Fedora.
Comment 3 Dave Hawkes 2003-11-03 16:00:06 EST
I just tested arjanv 2.6 test kernel (2.6.0.0-0.test9.1.67) and the
reiserfs problem is now in this kernel package.

Comment 4 Dave Jones 2003-11-20 14:22:32 EST
This problem will be fixed when FC2/rawhide gets a 2.6 kernel.
Arjan's 2.6 RPM is unlikely to move this out of unsupported.

Note You need to log in before you can comment on or make changes to this bug.